Bug 150480 - iSCSI hangs when run with 1gig of memory, bounce buffer
iSCSI hangs when run with 1gig of memory, bounce buffer
Status: CLOSED DUPLICATE of bug 145818
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 10:40 EST by Bill Peck
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 10:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2005-03-07 10:40:42 EST
Description of problem:
When running in SMP mode on a machine with 1gig of ram iSCSI will hang the
machine.  This has been seen with both the tg3 driver and the e1000.  It does
take a little longer with the e1000 driver.

If booted with 800M and SMP the system works great. No slow down.
Booted with 1Gig and UP the system works but is sluggsih.

I'm including the <ALT><SYSRQ>-P

SysRq : Show Memory
Mem-info:
Zone:DMA freepages:  2921 min:     0 low:     0 high:     0
Zone:Normal freepages:     0 min:   762 low:  4027 high:  5787
Zone:HighMem freepages:   303 min:   239 low:   478 high:   717
Free pages:        3224 (   303 HighMem)
( Active: 49158/148407, inactive_laundry: 38618, inactive_clean: 155, free: 322)
 aa:0 ac:0 id:0 il:0 ic:0 fr:2921
  aa:12965 ac:14733 id:141173 il:38392 ic:64 fr:0
  aa:9436 ac:12024 id:7234 il:226 ic:91 fr:303
1*4kB 2*8kB 3*16kB 3*32kB 2*64kB 3*128kB 1*256kB 1*512kB 0*1024kB 1*2048kB
2*40)0*4kB 0*8kB 0*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB
0*40)61*4kB 3*8kB 1*16kB 1*32kB 2*64kB 0*128kB 1*256kB 1*512kB 0*1024kB 0*2048kB
0*4)Swap cache: add 0, delete 0, find 0/0, race 0+0
8992 pages of slabcache
184 pages of kernel stacks
0 lowmem pagetables, 724 highmem pagetables
2920 bounce buffer pages, 0 are on the emergency list
Free swap:       2040212kB
260032 pages of RAM
30656 pages of HIGHMEM
5750 reserved pages
194247 pages shared
0 pages swap cached
iSCSI: bus 0 target 1 trying to establish session f6c86000 to portal 0,
address1iSCSI: login phase for session f6c86000 (rx 8039, tx 8038) timed out at
878927,7iSCSI: session f6c86000 connect timed out at 878927
iSCSI: session f6c86000 to cthon0 waiting 1 seconds before next login attempt
iSCSI: bus 0 target 1 trying to establish session f6c86000 to portal 0,
address1iSCSI: login phase for session f6c86000 (rx 8039, tx 8038) timed out at
880530,0iSCSI: session f6c86000 connect timed out at 880530
iSCSI: session f6c86000 iSCSI: session f6c86000 retrying all the portals
again,diSCSI: session f6c86000 to cthon0 waiting 1 seconds before next login attempt
iSCSI: bus 0 target 1 trying to establish session f6c86000 to portal 0,
address1iSCSI: bus 0 target 1 established session f6c86000 #9 to portal 0,
address 172.0iSCSI: 10 second timeout expired for session f6c86000, rx 880636,
ping 881135, 6iSCSI: session f6c86000 to cthon0 dropped
iSCSI: session f6c86000 to cthon0 waiting 90 seconds before next login attempt
SysRq : Show Regs

Pid/TGid: 9/9, comm:              bdflush
EIP: 0060:[<c0124176>] CPU: 1
EIP is at schedule [kernel] 0x326 (2.4.21-28.ELsmp)
 ESP: 2000:c043d280 EFLAGS: 00000282    Not tainted
EAX: c043d2ff EBX: 00000000 ECX: f7fe9980 EDX: 00000000
ESI: f7f80000 EDI: c2216000 EBP: f7f83e10 DS: 0068 ES: 0068 FS: 0000 GS: 0000
CR0: 8005003b CR2: bfff68a0 CR3: 37fe8e80 CR4: 000006f0
Call Trace:   [<c0125474>] sys_sched_yield [kernel] 0xa4 (0xf7f83e14)
[<c01616b4>] alloc_bounce_page [kernel] 0x94 (0xf7f83e2c)
[<c01617ec>] create_bounce [kernel] 0x5c (0xf7f83e38)
[<c01d1ef8>] locate_hd_struct [kernel] 0x38 (0xf7f83e3c)
[<c01d23a9>] __make_request [kernel] 0x99 (0xf7f83e7c)
[<c01d2aea>] generic_make_request [kernel] 0xea (0xf7f83ed8)
[<c01d2b89>] submit_bh_rsector [kernel] 0x49 (0xf7f83f00)
[<c0165c0b>] write_locked_buffers [kernel] 0x3b (0xf7f83f1c)
[<c0165d80>] write_some_buffers [kernel] 0x160 (0xf7f83f30)
[<c016a1d9>] bdflush [kernel] 0xc9 (0xf7f83fd4)
[<c016a110>] bdflush [kernel] 0x0 (0xf7f83fe4)
[<c01095ad>] kernel_thread_helper [kernel] 0x5 (0xf7f83ff0)

iSCSI: bus 0 target 1 trying to establish session f6c86000 to portal 0,
address1iSCSI: login phase for session f6c86000 (rx 8039, tx 8038) timed out at
892139,9iSCSI: session f6c86000 connect timed out at 892140
iSCSI: session f6c86000 to cthon0 waiting 1 seconds before next login attempt
iSCSI: bus 0 target 1 trying to establish session f6c86000 to portal 0,
address1iSCSI: bus 0 target 1 established session f6c86000 #10 to portal 0,
address 1720iSCSI: 10 second timeout expired for session f6c86000, rx 892245,
ping 892744, 5iSCSI: session f6c86000 to cthon0 dropped
iSCSI: session f6c86000 to cthon0 waiting 90 seconds before next login attempt

iSCSI: bus 0 target 1 trying to establish session f7e94000 to portal 0,
address1Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
c024d79f
*pde = 35c0b001
*pte = 3d97a067
Oops: 0002
iscsi_sfnet usbserial parport_pc lp parport autofs4 audit tg3 floppy sg sr_mod
sCPU:    0
EIP:    0060:[<c024d79f>]    Not tainted
EFLAGS: 00010206

EIP is at ip_append_data [kernel] 0x6f (2.4.21-28.ELsmp/i686)
eax: 0000000c   ebx: c03f3e74   ecx: 00000003   edx: 00000000
esi: c03f3e74   edi: 00000000   ebp: c3a27458   esp: c03f3d08
ds: 0068   es: 0068   ss: 0068
Process swapper (pid: 0, stackpage=c03f3000)
Stack: c3aa3268 00000020 00000000 00000000 00000000 00000000 00000000 00000000
       c3b76000 00000800 00000002 c3a27170 00000000 1e2e10ac 00000000 00000000
       00000000 00000000 00000000 c03f2000 c05287d4 c03f3e74 c03f3e50 c0272ce1
Call Trace:   [<c0272ce1>] icmp_push_reply [kernel] 0x61 (0xc03f3d64)
[<c0272bf0>] icmp_glue_bits [kernel] 0x0 (0xc03f3d6c)
[<c0273393>] icmp_send [kernel] 0x3c3 (0xc03f3d9c)
[<c010e018>] do_IRQ [kernel] 0x148 (0xc03f3e80)
[<c010ded0>] do_IRQ [kernel] 0x0 (0xc03f3ea4)
[<c02455ab>] ipv4_link_failure [kernel] 0x2b (0xc03f3ec0)
[<c02709f6>] arp_error_report [kernel] 0x56 (0xc03f3ed8)
[<c02349cc>] neigh_timer_handler [kernel] 0xcc (0xc03f3ee4)
[<c0234900>] neigh_timer_handler [kernel] 0x0 (0xc03f3ef0)
[<c01356c6>] __run_timers [kernel] 0xb6 (0xc03f3ef8)
[<c01353e2>] timer_bh [kernel] 0x62 (0xc03f3f24)
[<c0130055>] bh_action [kernel] 0x55 (0xc03f3f38)
[<c012fef7>] tasklet_hi_action [kernel] 0x67 (0xc03f3f40)
[<c012fc85>] do_softirq [kernel] 0x105 (0xc03f3f54)
[<c010e018>] do_IRQ [kernel] 0x148 (0xc03f3f74)
[<c010ded0>] do_IRQ [kernel] 0x0 (0xc03f3f98)
[<c0109100>] default_idle [kernel] 0x0 (0xc03f3fa0)
[<c0109100>] default_idle [kernel] 0x0 (0xc03f3fb4)
[<c0109129>] default_idle [kernel] 0x29 (0xc03f3fc8)
[<c01091c2>] cpu_idle [kernel] 0x42 (0xc03f3fd4)
[<c0107000>] stext [kernel] 0x0 (0xc03f3fe0)

Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 83 4d 2c 01 8b 54 24

Kernel panic: Fatal exception
In interrupt handler - not syncing
Comment 1 Tom Coughlan 2005-03-08 10:21:45 EST

*** This bug has been marked as a duplicate of 145818 ***
Comment 2 Ernie Petrides 2005-08-31 15:42:02 EDT
Changing component to "kernel".

Note You need to log in before you can comment on or make changes to this bug.